controllers/PostbackController.php
<?php

namespace app\controllers;

use app\models\Postback;
use yii\filters\AccessControl;
use yii\web\Controller;

class PostbackController extends Controller
{
    public function behaviors()
    {
        return [
            'access' => [
                'only' => ['grid-postback'],
                'class' => AccessControl::class,
                'rules' => [
                    [
                        'allow' => true,
                        'actions' => ['grid-postback'],
                        'roles' => ['@'],
                    ],

                ],
            ],
        ];
    }

    public function actionPostback($cid, $campaign_id, $time, $event)
    {
        if ((new Postback)->newRecord($cid, $campaign_id, $time, $event)) {
            $messege = 'nice';
        } else {
            $messege = 'not nice';
        };

        return $this->render('postback', ['result' => $messege]);
    }

    public function actionGridPostback($startDate = null, $endDate = null) {
        if (empty($startDate) && empty($endDate)) {
            $endDate = $startDate = date('Y-m-d');
        }
        $postback = (new Postback)->searchGroupCid($startDate, $endDate);
        return $this->render('grid-postback',['postbackGrid' => $postback]);
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => "SMT",
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);



    if (Yii::$app->user->isGuest) {
        $items = [
            ['label' => 'Login', 'url' => ['/site/login']]
        ];
    } else {
        $items = [
                Html::tag('li', Html::tag('a',null, ['id' => 'current_date_time_block'])),
                ['label' => 'Таблица постбеков', 'url' => ['postback/grid-postback']],
                '<li>'
                . Html::beginForm(['/site/logout'], 'post')
                . Html::submitButton('Logout (' . Yii::$app->user->identity->username . ')',
                    ['class' => 'btn btn-link logout']
                )
                . Html::endForm()
                . '</li>'
        ];
    }



    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => $items
    ]);
    NavBar::end();
    ?>
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <!--<p class="pull-left">&copy; My Company <?/*= date('Y') */?></p>

        <p class="pull-right"><?/*= Yii::powered() */?></p>-->
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>